> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate QR payload



## OpenAPI

````yaml /openapi/merchant.openapi.json post /merchant/qr
openapi: 3.0.3
info:
  title: Merchant API
  version: 1.0.0
  description: OpenAPI spec for Merchant API
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Merchant QR
  - name: Merchant Payment Request
paths:
  /merchant/qr:
    post:
      tags:
        - Merchant QR
      summary: Generate QR payload
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionDto'
      responses:
        '200':
          description: Generated QR payload
          content:
            application/json:
              schema:
                type: string
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
          MerchantLocationHeader: []
components:
  schemas:
    TransactionDto:
      type: object
      required:
        - amount
      properties:
        amount:
          type: number
          maximum: 999999999
        reference:
          type: string
          maxLength: 100
        comment:
          type: string
          maxLength: 250
        currency:
          $ref: '#/components/schemas/WalletCurrency'
        metadata:
          type: object
          additionalProperties: true
    WalletCurrency:
      type: string
      enum:
        - NGN
        - FP
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    MerchantLocationHeader:
      type: apiKey
      in: header
      name: x-location

````